do language plpgsql $$
begin
	if exists (select 1 from information_schema.tables where table_schema = 'public' and table_name = '_const_preinstall') then
		insert into public._const_preinstall (key,type,value) values 
			 ('_dbname','text',current_setting('local.dbname'))
			,('_dbowner','text',current_setting('local.dbuser'))
			,('_dbpass','text',current_setting('local.dbpass'))
			,('_datadir','text',current_setting('local.datadir'))
			,('_contribdir','text',current_setting('local.contribdir'))
			,('_coreversion','text',
				current_setting('local.version_major')||'.'||
				current_setting('local.version_minor')||'.'||
				current_setting('local.version_release')||
				(case when current_setting('local.rc') = '0' then '' else '.RC'||current_setting('local.rc') end)	)
			,('_corevision','text',current_setting('local.revision'))
			,('_corebuild','text',current_setting('local.build'))
			,('_passport','text',current_setting('local.passport'))
			,('_REVISIONS','text',current_setting('local.passport'))
			,('_os','text',current_setting('local.os'))
			,('_machine','text',current_setting('local.machine'))
			,('_installdate','text',now()::text)
		;
	end if;
end;
$$;
	
