
create table if not exists hwp.issues (
	id uuid not null primary key default ct.uuid_generate_v1(),
	ctime 	timestamptz not null default now(),
	wtime 	timestamptz not null default now(),
	class	integer not null default 0,
	status	integer not null default 0,
	issuer	uuid,
	memo	text,
	extra 	json
);

create table if not exists hwp.issue_hash (
	iid		uuid not null,
	key		varchar,
	value	text,
	constraint pk_hwp_issue_hash primary key (iid,key)
);	

create table if not exists hwp.issue_log (
	iid		uuid not null,
	moment	timestamptz not null default now(),
	action	integer not null,
	status	integer,
	memo	text,
	extra	json
);

create table if not exists hwp.issue_mask (
	action	  integer not null,
	setmask	  integer not null default 0,	-- action bits
	resetmask integer not null default 0	-- required bits
);


