CREATE or replace FUNCTION lib.ts2us(i_ts timestamptz) RETURNS bigint AS $$
	select case when isfinite($1) then cast((date_part('epoch', $1) * 1000000) as bigint) else null end;
$$ language sql;


CREATE or replace FUNCTION lib.us2ts(i_us bigint) RETURNS timestamptz AS $$
    select to_timestamp(($1::double precision)/1000000.0);   
$$ language sql;

